﻿import { Injectable } from '@angular/core';

@Injectable()
export class TokenService {

    getToken(): string {
        return next.auth.getToken();
    }

    getTokenCookieName(): string {
        return next.auth.tokenCookieName;
    }

    clearToken(): void {
        next.auth.clearToken();
    }

    setToken(authToken: string, expireDate?: Date): void {
        next.auth.setToken(authToken, expireDate);
    }

}