﻿import { Injectable } from '@angular/core';

@Injectable()
export class LocalizationService {

    get languages(): next.localization.ILanguageInfo[] {
        return next.localization.languages;
    }

    get currentLanguage(): next.localization.ILanguageInfo {
        return next.localization.currentLanguage;
    }

    localize(key: string, sourceName: string): string {
        return next.localization.localize(key, sourceName);
    }
    
    getSource(sourceName: string): (key: string) => string {
        return next.localization.getSource(sourceName);
    }

}